#!perl                                                      #<HTML><PRE>
#
# Perl script file 'elf1a.pl' to perform ray tracing for different
# source-receiver configurations (for all 389 sources remove command
# $n=1 below)
#
# Input files required:
  require            'go.pl'        ;
  &CHK('crt/'       ,'srpcrt.pl'   );
  &CHK('model/elf1/','elf1-mod.dat');
  &CHK('crt/elf1/'  ,'elf1acrt.dat');
  &CHK('crt/elf1/'  ,'elf1-cod.dat');
  &CHK('crt/elf1/'  ,'elf1asrp.dat');
  &CHK('crt/'       ,'writsrf.dat' );
  require            'srpcrt.pl'    ;
#
# Deleting old recording of the screen output:
  if (-e 'elf1ascr.out') {
    unlink('elf1ascr.out');
  }
#
  $n=389;
  $n=1;
#
  for ($j=1; $j<=$n; ++$j) {
    $k=sprintf("%3.3d",$j);
    &SRPCRT("elf1a","$k");
  }
#
1;                                                               #</PRE>
